import * as $dara from '@darabonba/typescript';
import { DescribePropertyTypeScaItemResponseBody } from "./DescribePropertyTypeScaItemResponseBody";
export declare class DescribePropertyTypeScaItemResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribePropertyTypeScaItemResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
